Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 451230 - Evolution unable to connect to CalDAV calendars
Summary: Evolution unable to connect to CalDAV calendars
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: evolution-data-server
Version: 8
Hardware: All
OS: Linux
low
high
Target Milestone: ---
Assignee: Matthew Barnes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-13 14:46 UTC by Kumaran Santhanam
Modified: 2008-07-23 07:03 UTC (History)
1 user (show)

Fixed In Version: 1.12.3-6.fc8
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-23 07:03:25 UTC


Attachments (Terms of Use)
evolution-data-server-1.12.3-davical.patch (deleted)
2008-06-13 15:14 UTC, Kumaran Santhanam
no flags Details | Diff
evolution-data-server-1.12.3.spec (deleted)
2008-06-13 15:15 UTC, Kumaran Santhanam
no flags Details
evolution-data-server-1.8.3-davical.patch (deleted)
2008-06-13 15:16 UTC, Kumaran Santhanam
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 496742 None None None Never

Description Kumaran Santhanam 2008-06-13 14:46:51 UTC
Description of problem:
Unable to connect to calendars on a CalDAV server.

Version-Release number of selected component (if applicable):
2.12.3
2.8.3

How reproducible:
Always

Steps to Reproduce:
1. Install Davical (formerly known as RSCDS)
2. Configure Evolution with a CalDAV calendar
3. Attempt to connect
  
Actual results:
Calendars are not downloaded.

Expected results:
Calendars work the same way as local calendars.

Comment 1 Kumaran Santhanam 2008-06-13 15:14:58 UTC
Created attachment 309222 [details]
evolution-data-server-1.12.3-davical.patch

Comment 2 Kumaran Santhanam 2008-06-13 15:15:36 UTC
Created attachment 309223 [details]
evolution-data-server-1.12.3.spec

Comment 3 Kumaran Santhanam 2008-06-13 15:16:08 UTC
Created attachment 309224 [details]
evolution-data-server-1.8.3-davical.patch

Comment 4 Kumaran Santhanam 2008-06-13 15:19:01 UTC
Attached a patch and updated RPM spec file for 1.12.3 (Fedora 8).
Also attached a patch that works against 1.8.3 (Fedora 6).

This bug has been reported upstream, but it would be much appreciated if the
Fedora RPM could be updated to provide a more short-term solution.


Comment 9 Milan Crha 2008-06-24 13:36:09 UTC
Thanks for the effort. I guess you noticed my comment in the upstream bug about
patch already committed in 2.22 version, which is included in Fedora 9.

- Fedora 8, we usually backport only security patches to evolution packages.
- Fedora 6, it's really old version, not supported anymore. 

Comment 10 Kumaran Santhanam 2008-06-24 17:16:38 UTC
Thanks for your response.  Is there any possibility of including it into a
Fedora 8 update with the next security patch?  That way, when we update this
package, we won't lose the bug fix.  I would prefer not to maintain the fix
locally, when it could benefit the community at large.


Comment 11 Matthew Barnes 2008-07-10 12:12:35 UTC
Fixed in evolution-data-server-1.12.3-6.fc8 using the patch committed to later
Evolution versions (see http://bugzilla.gnome.org/show_bug.cgi?id=514487).

Please test the package in the updates-testing repo and provide feedback.

Comment 12 Fedora Update System 2008-07-10 12:37:15 UTC
evolution-data-server-1.12.3-6.fc8 has been submitted as an update for Fedora 8

Comment 13 Fedora Update System 2008-07-15 12:13:33 UTC
evolution-data-server-1.12.3-6.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update evolution-data-server'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-6303

Comment 14 Fedora Update System 2008-07-23 07:03:23 UTC
evolution-data-server-1.12.3-6.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.